$(function()
{
var order = ["bieg","podskoki","krakowiak_dlugi"];
var screen = $('main').data('screen');
if (screen > 0) {
	$('#jplayer').on($.jPlayer.event.ready,function()
		{
			$('#jplayer').jPlayer('setMedia', {mp3: './media/file'+(screen+1)+'.mp3'});
		});
}
$('#jplayer').on($.jPlayer.event.ended,function(event)
	{
	$('.sound').fadeIn();
	$('#jplayer_sound').jPlayer(
		{
		ready: function()
			{
			$(this).jPlayer('setMedia', {mp3: './media/'+order[screen]+'.mp3'});
			},
		swfPath: '../../styles/flash',
		supplied: 'mp3',
		cssSelectorAncestor: '#jp_container_sound'
		}).jPlayer('play');
	});
if (screen === 2)
{
	$("#jplayer_sound").bind($.jPlayer.event.timeupdate, function(event) {
	var currentTime = Math.floor(event.jPlayer.status.currentTime);
	if (currentTime >= 0 && currentTime < 18){
	    $(".order").text("Biegnij bardzo szybko.");
	}
	if (currentTime >= 18 && currentTime <= 37){
	    $(".order").text("Stań,złap się pod boki i wystawiaj raz prawą, a raz lewą nogę.");
	}
	if (currentTime >= 37 && currentTime <= 54){
	    $(".order").text("Zahacz ręką osobę obok i kręćcie się raz w jedną, a raz w drugą stronę.");
	}
	if (currentTime >= 54){
	    $(".order").text("Niech osoba, z którą tańczysz, uklęknie, a Ty tańcz dookoła niej.");
	}
	});
 };

});
